Summary: An enhanced version of csh, the C shell.
Name: tcsh
Version: 6.11
Release: 3
License: IBM_ILA
Group: System Environment/Shells
Source: ftp://ftp.astron.com/pub/tcsh/tcsh-%{version}.tar.gz
Source1: IBM_ILA
Source2: %{name}.txt
Patch: tcsh-%{version}-scope.patch
Requires: coreutils grep
Prefix: %{_prefix}
URL: http://www.tcsh.org
Buildroot: /var/tmp/%{name}-root
%define DEFCC cc

%description
Tcsh is an enhanced but completely compatible version of csh, the C shell.
Tcsh is a command language interpreter which can be used both as an interactive
login shell and as a shell script command processor.  Tcsh includes a command
line editor, programmable word completion, spelling correction, a history
mechanism, job control and a C language like syntax.

%prep
%setup -q -n %{name}-%{version}.00
%patch -p1 -b .scope

# Add license info
cat $RPM_SOURCE_DIR/IBM_ILA > LICENSE
cat $RPM_SOURCE_DIR/%{name}.txt >> LICENSE

%build
# Use the default compiler for this platform - gcc otherwise
if [[ -z "$CC" ]]
then
    if test "X`type %{DEFCC} 2>/dev/null`" != 'X'; then
       export CC=%{DEFCC}
    else
       export CC=gcc
    fi
fi
if test "X$CC" != "Xgcc"
then
       export RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS | sed 's:-fsigned-char::'`
       export CFLAGS="$RPM_OPT_FLAGS"
fi

CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix}

make all # catalogs
perl tcsh.man2html

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}/man/man1 $RPM_BUILD_ROOT%{_prefix}/bin
install -m 755 -s tcsh $RPM_BUILD_ROOT%{_prefix}/bin/tcsh
install -m 644 tcsh.man $RPM_BUILD_ROOT%{_prefix}/man/man1/tcsh.1
ln -sf tcsh $RPM_BUILD_ROOT%{_prefix}/bin/csh
nroff -me eight-bit.me > eight-bit.txt


(cd $RPM_BUILD_ROOT
 mkdir -p usr/bin
 mkdir -p usr/linux/bin
 cd usr/bin
 ln -sf ../..%{_prefix}/bin/tcsh .
 cd ../linux/bin
 ln -sf ../../..%{_prefix}/bin/tcsh csh
 cd -
)


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,system)
%doc NewThings FAQ eight-bit.txt complete.tcsh Fixes README WishList Y2K
%doc csh-mode.el tcsh.html LICENSE
%{_prefix}/bin/tcsh
%{_prefix}/bin/csh
/usr/bin/tcsh
/usr/linux/bin/csh
%{_prefix}/man/man1/tcsh.*
#%{_datadir}/locale/*/*/*

%changelog
* Wed Feb 02 2005 David Clissold <cliss@austin.ibm.com> 6.11-3
- Rebuilt to specify coreutils as a req (not fileutils).

* Fri Nov 22 2002 David Clissold <cliss@austin.ibm.com>
- Add IBM ILA license.

* Tue Oct 09 2001 Marc Stephenson <marc@austin.ibm.com>
- New version

* Tue Aug 14 2001 David Clissold <cliss@austin.ibm.com>
- Update to level 6.10

* Fri Oct 27 2000 pkgmgr <pkgmgr@austin.ibm.com>
- Modify for AIX Freeware distribution

* Tue Mar  7 2000 Jeff Johnson <jbj@redhat.com>
- rebuild for sparc baud rates > 38400.

* Mon Jan 31 2000 Cristian Gafton <gafton@redhat.com>
- rebuild to fix dependencies

* Thu Jan 27 2000 Jeff Johnson <jbj@redhat.com>
- append entries to spanking new /etc/shells.

* Mon Jan 10 2000 Jeff Johnson <jbj@redhat.com>
- update to 6.09.
- fix strcoll oddness (#6000, #6244, #6398).

* Sat Sep 25 1999 Michael K. Johnson <johnsonm@redhat.com>
- fix $shell by using --bindir

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 5)

* Wed Feb 24 1999 Cristian Gafton <gafton@redhat.com>
- patch for using PATH_MAX instead of some silly internal #defines for
  variables that handle filenames.

* Fri Nov  6 1998 Jeff Johnson <jbj@redhat.com>
- update to 6.08.00.

* Fri Oct 02 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 6.07.09 from the freebsd
- security fix

* Wed Aug  5 1998 Jeff Johnson <jbj@redhat.com>
- use -ltermcap so that /bin/tcsh can be used in single user mode w/o /usr.
- update url's

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- updated to 6.07; added BuildRoot
- cleaned up the spec file; fixed source url

* Wed Sep 03 1997 Erik Troan <ewt@redhat.com>
- added termios hacks for new glibc
- added /bin/csh to file list

* Fri Jun 13 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Fri Feb 07 1997 Erik Troan <ewt@redhat.com>
 - Provides csh, adds and removes /bin/csh from /etc/shells if csh package
isn't installed.
